#include "ShaderInclude.hlsli"

void vs_main(
  in float3 i_pos : POSITION,
  in float4 i_rgba : COLOR,
  out float4 o_rgba : COLOR,
  out float4 o_pos : SV_Position)
{
  o_pos = mul(float4(i_pos, 1.0), g_matLocalToClip);
  o_rgba = i_rgba;
}

void ps_main(
  in float4 i_rgba : COLOR,
  out float4 o_rgba : SV_Target)
{
  o_rgba = i_rgba;
}
